diff --git a/src/nfc/qnearfieldtarget_neard_p.h b/src/nfc/qnearfieldtarget_neard_p.h
index 9844d99e..45b57316 100644
--- a/src/nfc/qnearfieldtarget_neard_p.h
+++ b/src/nfc/qnearfieldtarget_neard_p.h
@@ -199,11 +199,6 @@ public:
 
     QNearFieldTarget::RequestId writeNdefMessages(const QList<QNdefMessage> &messages)
     {
-        // disabling write due to neard crash (see QTBUG-43802)
-        qWarning("QNearFieldTarget::WriteNdefMessages() disabled. See QTBUG-43802\n");
-        return QNearFieldTarget::RequestId();
-
-
         // return old request id when previous write request hasn't completed
         if (m_currentWriteRequestId.isValid())
             return m_currentReadRequestId;
